Bug 311631 - kftpgrabber eats a lot of CPU on 2.6.22 when idle
kftpgrabber eats a lot of CPU on 2.6.22 when idle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kftpgrabber (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 15:41 EDT by Roland Pallai
Modified: 2008-06-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Pallai 2007-09-28 15:41:36 EDT
Description of problem:
I changed my kernel from 'kernel-2.6.21-1.3194.fc7 i586' to
'kernel-2.6.22.7-85.fc7 i686' when I noticed that kftpgrabber consumes about
20-30% of my CPU when idle. I looked closer and I gained some stats on .21 and
.22 too:

2.6.21 no kftpgrabber:
---procs--- ----total-cpu-usage---- -dsk/total- -net/total- ---paging-- ---system--
run blk new|usr sys idl wai hiq siq| read  writ| recv  send|  in   out | int   csw
  0   0   0|  0   0 100   0   0   0|   0     0 |   0     0 |   0     0 |   1   338
  1   0   3|  1   0  99   0   0   0|   0     0 |  64B   64B|   0     0 |  30   661
  2   0   1|  0   0 100   0   0   0|   0     0 |   0     0 |   0     0 |   1   345
  2   0   0|  1   1  99   0   0   0|   0     0 |   0     0 |   0     0 |  25   400
  1   0   3|  1   0  98   0   0   0|   0   200k|1898B 1436B|   0     0 |  20   549
  1   0   0|  2   0  98   1   0   0|   0    68k|4365B 3370B|   0     0 |  50   801
  1   0   7|  1   1  98   0   0   0|   0   616k|   0     0 |   0     0 | 133  1092
  1   0   1|  1   0  99   0   0   0|   0     0 |   0     0 |   0     0 |  22   390
  1   0   0|  0   0  99   0   0   0|   0     0 |   0     0 |   0     0 |   1   364
  0   0   3|  9   1  91   0   0   0|   0   228k|   0     0 |   0     0 |  73  1189
  0   0   0|  1   1  99   0   0   0|   0     0 | 247B  229B|   0     0 |  24   841
  0   0   0|  1   0  99   0   0   0|   0  4096B|   0     0 |   0     0 |  73   812
  0   0   1|  2   0  97   0   0   0|   0   124k|   0     0 |   0     0 |  80  1714

2.6.21 kftpgrabber idle:
  1   0   1|  1   0 100   0   0   0|   0     0 | 261B  346B|   0     0 | 106  2573
  1   0   0| 15   1  84   0   0   0|   0     0 |   0   432B|   0     0 |  38  5705
  1   0   0|  0   0  99   0   0   0|   0     0 | 288B  443B|   0     0 |  81  2449
  1   0   0|  1   1  98   0   0   0|   0   368k|   0     0 |   0     0 |  31  2071
  0   0   0|  1   0  99   0   0   0|   0     0 |   0     0 |   0     0 |  30  2029
  0   0   2|  2   0  98   0   0   0|   0     0 |1898B 1868B|   0     0 |  23  2331
  0   0   0|  1   0  98   0   0   0|   0     0 |4120B 2976B|   0     0 |  72  2353
  0   0   0|  1   0  99   0   0   0|   0     0 |   0     0 |   0     0 |  22  1968
  0   0   0|  0   0  99   0   0   0|   0    48k|   0     0 |   0     0 |  83  2150
  0   0   0|  0   0 100   0   0   0|   0     0 |1745B 2392B|   0     0 |  48  2089
  0   0   1|  0   0  99   0   0   0|   0     0 |   0     0 |   0     0 |  40  1915
                                                                    increased ^^^^


2.6.22 no kftpgrabber:
---procs--- ----total-cpu-usage---- -dsk/total- -net/total- ---paging-- ---system--
run blk new|usr sys idl wai hiq siq| read  writ| recv  send|  in   out | int   csw
  0   0   0|  0   0 100   0   0   0|   0     0 |  74B  159B|   0     0 |  85   433
  0   0   1|  1   1  99   0   0   0|   0     0 | 239B  529B|   0     0 |  72   824
  0   0   0|  1   0  99   0   0   0|   0     0 | 714B  413B|   0     0 |  99   649
  0   0   0|  0   0  99   0   0   0|   0    28k| 716B 1516B|   0     0 |  75   463
  1   0   1|  2   1  98   0   0   0|   0     0 |5315B 3499B|   0     0 | 110   870
  0   0   0|  1   0  98   0   0   0|   0     0 |1423B 1650B|   0     0 |  74   664
  0   0   1|  1   1  99   0   0   0|   0     0 |   0    64B|   0     0 |  86   612
  0   0   0|  1   0 100   0   0   0|   0     0 |1089B 1395B|   0     0 |  79   599
  0   0   0|  1   0 100   0   0   0|   0     0 |1834B 2269B|   0     0 |  97   518
  0   0   1|  1   1  99   1   0   0|   0    44k|   0     0 |   0     0 |  90   835
  0   0   0|  1   0 100   0   0   0|   0     0 | 547B  697B|   0     0 |  90   511
  0   0   1|  1   0 100   0   0   0|   0     0 | 130B  367B|   0     0 |  64   503
  0   0   0|  1   1  99   0   0   0|   0     0 | 491B  349B|   0     0 |  91   811
  0   0   0|  1   0 100   0   0   0|   0     0 |1083B 1370B|   0     0 |  73   458

2.6.22 kftpgrabber idle:
  0   0   0|  4   3  93   0   0   0|   0     0 |2552B 2681B|   0     0 | 121    36k
  4   0   2|  6   3  91   0   0   0|   0     0 |4100B 2007B|   0     0 | 119    36k
  0   0   0|  5   3  91   1   0   0|   0    44k|5208B 6717B|   0     0 | 115    36k
  0   0   0|  4   4  93   0   0   0|   0     0 | 187B  632B|   0     0 |  65    36k
  0   0   0|  4   3  93   0   0   0|   0     0 |  16k   11k|   0     0 | 132    36k
  0   0   0|  4   3  93   0   0   0|   0     0 |  74B  591B|   0     0 |  67    36k
  0   0   1|  4   4  93   0   0   0|   0     0 |   0     0 |   0     0 |  83    36k
  0   0   0|  4   3  93   0   0   0|   0    20k| 187B  187B|   0     0 | 118    37k
  4   0   0|  6   4  90   0   0   0|   0     0 |1241B 1864B|   0     0 | 147    40k
  0   0   0| 11  11  78   0   0   0|   0     0 |   0     0 |   0     0 | 162    58k
  0   0   0|  4   3  93   0   0   0|   0     0 |   0     0 |   0     0 | 129    36k
  3   0   1|  4   3  93   0   0   0|   0     0 | 491B  349B|   0     0 | 103    37k

(if the bugzilla wraps the table: number of context-switches increased by ~1500
on .21, and increased by ~35000 on .22 when I started kftpgrabber)


Version-Release number of selected component (if applicable):
kftpgrabber-0.8.1-3.fc7
kernel-2.6.22.7-85.fc7 i686

How reproducible:
boot a fresh fedora 7 with 2.6.22 and start kftpgrabber and you'll hear the CPU
fan :)


Actual results:


Expected results:


Additional info:
I've dual-core SMP system
Comment 1 Bug Zapper 2008-05-14 10:33:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:31:33 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.